Bug 197574 - [MAINTAINER] multimedia/cx88: Add missing load_rc_config call to cx88d
Summary: [MAINTAINER] multimedia/cx88: Add missing load_rc_config call to cx88d
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bartek Rutkowski
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-02-12 17:11 UTC by jason.harmening
Modified: 2015-03-02 17:32 UTC (History)
2 users (show)

See Also:


Attachments
the patch (860 bytes, text/plain)
2015-02-12 17:11 UTC, jason.harmening
no flags Details
Updated patch (3.22 KB, patch)
2015-02-14 00:41 UTC, jason.harmening
no flags Details | Diff
Updated patch (2) (3.10 KB, patch)
2015-02-14 04:27 UTC, jason.harmening
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jason.harmening 2015-02-12 17:11:07 UTC
Created attachment 152908 [details]
the patch

Allow "cx88d_enable" in rc.conf
Comment 1 Brad Davis freebsd_committer 2015-02-13 14:51:26 UTC
Hi Jason,

The patch helps, but does not bring the rc script fully up to date. Could you take a look at the following section in the handbook:

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#rc-scripts

I'd be happy to update it if you do not have the time.


Regards,
Brad DAvis
Comment 2 jason.harmening 2015-02-14 00:41:01 UTC
Created attachment 152950 [details]
Updated patch

Cleanup cx88d, add support for per-device args, move to cx88d.in and obey SUB_LIST
Comment 3 jason.harmening 2015-02-14 04:27:12 UTC
Created attachment 152955 [details]
Updated patch (2)

Oops, left off some arg cleanup
Comment 4 jason.harmening 2015-02-22 16:50:40 UTC
(In reply to Brad Davis from comment #1)

I've updated the script per the handbook, and cleaned up a few other things while I was there.
Comment 5 commit-hook freebsd_committer 2015-03-02 17:31:30 UTC
A commit references this bug:

Author: robak
Date: Mon Mar  2 17:30:54 UTC 2015
New revision: 380277
URL: https://svnweb.freebsd.org/changeset/ports/380277

Log:
  multimedia/cx88: fix rc startup script

  PR:		197574
  Submitted by:	Jason Harmening <jason.harmening@gmail.com>

Changes:
  head/multimedia/cx88/Makefile
  head/multimedia/cx88/files/
  head/multimedia/cx88/files/cx88d.in
  head/multimedia/cx88/pkg-plist
Comment 6 Bartek Rutkowski freebsd_committer 2015-03-02 17:32:39 UTC
Committed, thanks for your work!